#version 330

/** Input variable (the position, which is vertex attribute 0) */
layout(location = 0) in vec4 vertex_position;

/** Input variable (the normal, which is vertex attribute 1) (NOT USED HERE) */
layout(location = 1) in vec4 vertex_normal;

/** Input variable (the color, which is vertex attribute 2) (NOT USED HERE) */
layout(location = 2) in vec4 vertex_color;

/** Input variable (the uv, which is vertex attribute 3) */
layout(location = 3) in vec2 vertex_texCoord;

/** Output variable which can be used by the fragment shader */
out vec2 texCoord_from_vs;

/**
 * The main function of the vertex shader, which is executed
 * for every vertex.
 */
void main()
{
    texCoord_from_vs = vertex_texCoord;
    gl_Position =  vertex_position;
}
